Bug 916515 - Unable to import pymunk in Python
Summary: Unable to import pymunk in Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pymunk
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Gilton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-28 08:28 UTC by Juhamatti Niemelä
Modified: 2013-03-14 02:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-14 02:43:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Juhamatti Niemelä 2013-02-28 08:28:28 UTC
Description of problem:

"import pymunk" causes AttributeError: python: undefined symbol: cpMessage


Version-Release number of selected component (if applicable):
pymunk-1.0.0-4.fc18.noarch

How reproducible: Always


Steps to Reproduce:
1. Start python interpreter: $ python
2. import pymunk
  
Actual results:

>>> import pymunk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/pymunk/__init__.py", line 48, in <module>
    import pymunk._chipmunk as cp 
  File "/usr/lib/python2.7/site-packages/pymunk/_chipmunk.py", line 48, in <module>
    cpMessage = chipmunk_lib.cpMessage
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 373, in __getattr__
    func = self.__getitem__(name)
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 378, in __getitem__
    func = self._FuncPtr((name_or_ordinal, self))
AttributeError: python: undefined symbol: cpMessage


Expected results: Import should be successful


Additional info:

Following Python and Chipmunk rpms are installed:

python-2.7.3-13.fc18.x86_64
chipmunk-5.3.4-4.fc18.x86_64

Comment 1 Gwyn Ciesla 2013-03-04 19:14:00 UTC
Fix incoming.

Comment 2 Fedora Update System 2013-03-04 19:39:09 UTC
pymunk-1.0.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pymunk-1.0.0-6.fc18

Comment 3 Fedora Update System 2013-03-04 19:39:19 UTC
pymunk-1.0.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pymunk-1.0.0-6.fc17

Comment 4 Fedora Update System 2013-03-05 23:19:16 UTC
Package pymunk-1.0.0-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pymunk-1.0.0-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3432/pymunk-1.0.0-6.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-03-14 02:43:43 UTC
pymunk-1.0.0-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-03-14 02:45:12 UTC
pymunk-1.0.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.